    efeu(1)                                      Qualcomm Atheros Open Powerline Toolkit                                     efeu(1)

    NAME
           efeu - HomePlug AV Packet Reflector

    SYNOPSIS
           efeu [options]

    DESCRIPTION
           Read  and  reflect  802.3  Ethernet  messages  addressed to this host or the broadcast address.  Do not display reflected
           frames.

           The program is one example of a simple packet listener.  Engineers and software developers can extend it to build  custom
           sniffers or servers.  The framework is present but additional features must be added.

           This  program  is  part of the Qualcomm Atheros Powerline Toolkit.  See the plc man page for an overview and installation
           instructions.

    OPTIONS
           -e ethertype
                  The protocol (or ethertype) of interest expressed as a 16-bit hexadecimal integer.  Prefix "0x" is optional.  This
                  filters out frames having any other ethertype.  The default is ETH_P_802_2 as defined in if_ether.h.

           -i interface
                  Names  the host ethernet interface to watch.  The named interface, such as eth0, eth1 and so on, must be connected
                  to a HomePlug AV ethernet-to-powerline bridge adapter to receive any HomePlug AV traffic.  The  default  interface
                  is eth1.

           -q     Quiet mode.  Suppress the printing of the normal message descriptions on stdout.

           -t milliseconds
                  Read  timeout  in  milliseconds.   Values  range  from 0 through UINT_MAX.  This is the maximum time allowed for a
                  response.  The default is 50 milliseconds.

           -v     Verbose mode.  Displays incoming frames in hexadecimal dump format on  stdout.   This  option  is  independent  of
                  option -a which prints VS_ARPC message text on stderr.

           -?, --help
                  Print  program  help summary on stdout.  This option takes precedence over other options on the command line.  -!,
                  --version Print program version information on stdout.  This option takes precedence over  other  options  on  the
                  command  line.   Use  this option when sending screen dumps to Atheros Technical Support so that they know exactly
                  which version of the Linux Toolkit you are using.  See the HomePlug AV Specification  for  a  description  of  all
                  HomePlug  AV  message  types.   See  the  Qualcomm  Atheros INT6000 Firmware Reference Manual for a description of
                  Atheros Vendor Specific message types.

    EXAMPLES
           The following command monitors the default interface eth1 for HomePlug AV traffic and dumps detected frames on  the  con‐
           sole  as they occur.  Terminate the foreground process by typing ^C or ^Z at the console.  This program is usually run in
           a separate console window when performing other toolkit operations.

              # efeu

           The following command monitors host interface eth4 for incoming  HomePlug  AV  frames  and  dumps  writes  them  to  file
           efeu.log.   Frames are printed in hexadecimal dump format because option -v is present.  Terminate the foreground process
           by typing ^C or ^Z at the console.

              # efeu -v -i eth4 > efeu.log

    DISCLAIMER
           Atheros HomePlug AV Vendor Specific Management Message structure and content is proprietary to Qualcomm Atheros, Ocala FL
           USA.   Consequently,  public information is not available.  Qualcomm Atheros reserves the right to modify management mes‐
           sage structure and content in future firmware releases without any obligation to notify or compensate users of this  pro‐
           gram.

    SEE ALSO
           plc(1), efru(1), efsu(1), hpav(1), mme(1)

    CREDITS
            Charles Maier <cmaier@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                     efeu(1)

[PREV] [HOME] [NEXT]